// let host = window.location.protocol+"//"+window.location.hostname;
// 当前后端不在同一个服务器时，需要指定host地址
// let host = "http://49.4.21.177";
// let host = "http://192.168.5.130"; //海装内网
let host = "http://183.230.176.125"; //海装外网
// let host = "http://192.168.40.238"; // 实哥/
// let host = "http://192.168.40.208"; // 王平
// let host = "http://192.168.40.237"; // 向贞好
// let host = "http://192.168.40.243"; // 李宣波
// combine为true时五合一部署, 为false时分五个服务部署
// 前端部署访问地址，用于静态文件访问，路径跳转等 项目地址和后台接口部署在不同地址时使用
let onlineFront = "http://183.230.176.125"

let combine = true;
var defaultModulePortMap = {
	form: '8082',
	portal: '8084',
	bpmRunTime: '8086',
	bpmModel: '8087',
	uc: '8088',
  cssc: '8098'
}
window.getModuleRootUrl = function (module) {
	// 默认是全部服务合一的端口
	var modulePort = "8098";
	if (!combine) {
		modulePort = defaultModulePortMap[module];
	}
	return host + ":" + modulePort;
}
window.context = {
  layer: onlineFront + ":26081", // 地图瓦片根路径
  Collection: host + ":12000", // 采集配置
  WebSocket: host + ":8099",
  manage: host + ':8080/mvue', //管理端页面
  front: host + ':8080/fvue', //前端页面
  mobile: host + ':8082/mobilevue', //手机端页面
  form: getModuleRootUrl('form'),
  portal: getModuleRootUrl('portal'),
  bpmRunTime: getModuleRootUrl('bpmRunTime'),
  bpmModel: getModuleRootUrl('bpmModel'),
  uc: getModuleRootUrl('uc'),
  mc: getModuleRootUrl('mc'),
  cssc: getModuleRootUrl('cssc'),
  csscTest:'http://demo2.feeling-ai.cn:39000' //健康管理生成报告url
}
// 单点配置
window.ssoConfig = {
  mode: "", // 空则不使用单点  支持的模式有  cas oauth basic
  url: 'http://127.0.0.1:8092/oauth/authorize',
  clientId: 'eip7',// oauth模式下需要提供
  logout: 'http://127.0.0.1:8092/logout'
}